Jump to content

В админке ошибка EX2


neruch
 Share

Recommended Posts

Здравствуйте, Гуру.

Прошу вашей помощи. Ни с того, ни с сего в админке (Система => Главная панель) появилась ошибка " EX2 Что-то пошло не так. Пожалуйста, попробуйте еще раз. ".

Никаких изменений до этого не производил. Подскажите куда ковырять? В логах висит следующая ошибка:

Цитата
Tue, 08 Aug 2017 10:45:45 +0000 (Severity: 2)
80.76.190.107 - http://forum.frsoo.org/admin/?adsess=hhfnbkoasbtsbl49kbavf0tvl6&app=core&module=overview&controller=dashboard
ErrorException
2: Invalid argument supplied for foreach()
#0 /var/www/neruch/data/www/forum/applications/core/modules/admin/overview/dashboard.php(155): IPS\IPS::errorHandler(2, 'Invalid argumen...', '/var/www/neruch...', 155, Array)
#1 /var/www/neruch/data/www/forum/system/Dispatcher/Controller.php(94): IPS\core\modules\admin\overview\_dashboard->manage()
#2 /var/www/neruch/data/www/forum/system/Dispatcher/Dispatcher.php(129): IPS\Dispatcher\_Controller->execute()
#3 /var/www/neruch/data/www/forum/admin/index.php(13): IPS\_Dispatcher->run()
#4 {main}

 

Link to comment
Share on other sites

1 минуту назад, neruch сказал:

Версия форума 4.0.13

Отключаемый плагины и проверяем, и что версия такая древняя и не стабильная? Обновитесь лучше до 4.1.19.4

Link to comment
Share on other sites

7 минут назад, WOLF сказал:

Попробуйте отключить все плагины и приложения

Не помогло :(

4 минуты назад, WOLF сказал:

и что версия такая древняя и не стабильная? Обновитесь лучше до 4.1.19.4

Пока нет времени на это.

Link to comment
Share on other sites

7 минут назад, WOLF сказал:

Попробуйте отключить все плагины и приложения

Не помогло :(

4 минуты назад, WOLF сказал:

и что версия такая древняя и не стабильная? Обновитесь лучше до 4.1.19.4

Пока нет времени на это.

Есть предположение, что что-то не так с одной из таблиц в базе данных. Какая таблица отвечает за главную панель?

Link to comment
Share on other sites

32 минуты назад, neruch сказал:

Версия форума 4.0.13

Там может быть всё что угодно! Не поверю, что у Вас нет 15 мин. времени для обновления форума?

Link to comment
Share on other sites

9 минут назад, Sipsb сказал:

Там может быть всё что угодно! Не поверю, что у Вас нет 15 мин. времени для обновления форума?

Я планировал обновлять. Для меня не 15 минут :) Старенький я уже :) нет такой скорости в мозгах.

Вопрос тогда такой: при переходе с 4.0.13 на последнюю версию какие версии ПХП и Мускул должны быть установлены на сервере?

Link to comment
Share on other sites

2 минуты назад, neruch сказал:

Я планировал обновлять. Для меня не 15 минут :) Старенький я уже :) нет такой скорости в мозгах.

Вопрос тогда такой: при переходе с 4.0.13 на последнюю версию какие версии ПХП и Мускул должны быть установлены на сервере?

Такие же как и были

Link to comment
Share on other sites

3 минуты назад, neruch сказал:

ПХП

Желательно от 7.0 и выше

1 минуту назад, WOLF сказал:

Мускул

Рекомендуется использовать версию 5.6.2 или выше.

Link to comment
Share on other sites

Кому из вас верить? :)

Сейчас у меня ПХП 5.3.3, Мускул 5.1.73

С такими версиями я смогу форум увидеть или мне лучше сначала техподдержку попросить обновить версии до рекомендуемых Sipsb?

Ага. Если они обновят, то я существующий форум не увижу... Так?

Link to comment
Share on other sites

5 минут назад, neruch сказал:

Сейчас у меня ПХП 5.3.3,

Написал же

22 минуты назад, Sipsb сказал:

Желательно

Версия PHP должна быть не ниже 5.6

Делайте БЭКАП БД и файлы затем обновляйте, движок подскажет :) что не так.

Link to comment
Share on other sites

3 часа назад, neruch сказал:

ейчас у меня ПХП 5.3.3, Мускул 5.1.73

странно как ваш форум жив еще, думал у вас 7.0 стоит. так оно, когда создаешь тему, и указываешь в ней все, кроме нужной информации

выше указали верную конфигурацию 

Link to comment
Share on other sites

WOLF, при обновлении получил ошибку БД: " Unknown column 'set_cache_key' in 'field list' " на шаге " Upgrade Options ". Прошу срочной помощи!!!

Link to comment
Share on other sites

6 минут назад, neruch сказал:

WOLF, при обновлении получил ошибку БД: " Unknown column 'set_cache_key' in 'field list' " на шаге " Upgrade Options ". Прошу срочной помощи!!!

 

Link to comment
Share on other sites

WOLF, простите, но я там нашел из аналогичного только то, что нужно добавить столбец в таблицу.

Вопрос чайника: как это сделать в моём случае?

Или это всё из-за русификации предыдущего форума?

Link to comment
Share on other sites

24 минуты назад, neruch сказал:

WOLF, простите, но я там нашел из аналогичного только то, что нужно добавить столбец в таблицу.

Вопрос чайника: как это сделать в моём случае?

Или это всё из-за русификации предыдущего форума?

кого-то в гугле забанили видимо 

http://webew.ru/articles/3530.webew

 

Link to comment
Share on other sites

9 минут назад, neruch сказал:

А как определить в какой таблице нет этого поля (set_cache_key)?

у вас ошибка должна быть больше (текстом), вот пример:

там же пример запроса

Link to comment
Share on other sites

10 минут назад, WOLF сказал:

у вас ошибка должна быть больше (текстом), вот пример:

К сожалению такого текста я не вижу :( Или искать нужно в каталоге с логами? На экран выводится только то, что я скопипастил.

Link to comment
Share on other sites

5 минут назад, neruch сказал:

К сожалению такого текста я не вижу :( Или искать нужно в каталоге с логами? На экран выводится только то, что я скопипастил.

печально, если админка работает то можете в "технической поддержке" посмотреть журналы логов, либо:

 

Link to comment
Share on other sites

4 минуты назад, WOLF сказал:

если админка работает то можете в "технической поддержке" посмотреть журналы логов

Тут получается такая ситуация: я обновляюсь с 4.0.13 до 4.2.1. На стадии " Upgrade Options " выскакивает ошибка. Админки у меня еще нет (наверное). В каталог uploads\logs теоретичке же файлик лога сохраниться? Я его тогда смогу просмотреть по FTP.

Link to comment
Share on other sites

Обновился. Действительно файлик лога был там, где я и ожидал. Нашел в какую таблицу добавлять поле. Добавил и установка прошла уже как по маслу.

После обновления была ошибка в темах. Исправил отсюда:

Теперь буду изучать новые фишки движка. ВСЕМ СПАСИБО ЗА ПОМОЩЬ!!!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Ваша ссылка была автоматически строена.   Отображать как обычную ссылку

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...